| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
MPE::Horizon2DSeedPicker Class Reference
MPEEngine

EMSeedPicker to pick seeds in EM::Horizon2D. More...

`#include <horizon2dseedpicker.h>`

Inheritance diagram for MPE::Horizon2DSeedPicker:
[legend]

## Public Member Functions
| Horizon2DSeedPicker (EMTracker &)
| ~Horizon2DSeedPicker ()
bool | addSeed (const TrcKeyValue &, bool drop)
bool | addSeed (const TrcKeyValue &seedcrd, bool drop, const TrcKeyValue &seedkey) override
bool | canAddSeed (const Attrib::SelSpec &)
bool | doesModeUseVolume () const
bool | removeSeed (const TrcKey &, bool environment, bool retrack) override
TrcKey | replaceSeed (const TrcKey &oldpos, const TrcKeyValue &newpos) override
bool | reTrack () override
void | setLine (const Pos::GeomID &)
bool | startSeedPick () override
bool | updatePatchLine (bool) override
Public Member Functions inherited from MPE::EMSeedPicker
virtual | ~EMSeedPicker ()
bool | addSeed (const TrcKeyValue &, bool drop=false)
mDeprecatedDef void | addSeedToPatch (const TrcKeyValue &)
void | addSeedToPatch (const TrcKeyValue &, bool sort)
void | blockSeedPick (bool)
bool | canReDo ()
bool | canUndo ()
bool | doesModeUseVolume () const
EMTracker & | emTracker () const
virtual void | endPatch (bool)
virtual const char * | errMsg () const
TrcKeyValue | getAddedSeed () const
const Patch * | getPatch () const
virtual EM::SectionID | getSectionID () const
const TrcKeySampling & | getSeedPickArea () const
void | getSeeds (TypeSet< TrcKey > &) const
virtual const Attrib::SelSpec * | getSelSpec () const
bool | getSowerMode () const
TrackMode | getTrackMode () const
Undo & | horPatchUndo ()
const Undo & | horPatchUndo () const
int | indexOf (const TrcKey &) const
bool | isSeedPickBlocked () const
bool | lineTrackDirection (BinID &dir, bool perptotrackdir=false) const
virtual int | nrSeeds () const
virtual void | setSectionID (EM::SectionID)
void | setSeedPickArea (const TrcKeySampling &)
virtual void | setSelSpec (const Attrib::SelSpec *)
void | setSowerMode (bool)
void | setTrackMode (TrackMode)
bool | stopSeedPick ()
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
bool | addPatchSowingSeeds ()
void | extendSeedListEraseInBetween (bool wholeline, int startcol, bool startwasdefined, int step)
bool | getNextSeedPos (int seedpos, int dirstep, int &nextseedpos) const
TrcKeyZSampling | getTrackBox () const
mDeprecatedDef bool | interpolateSeeds ()
bool | interpolateSeeds (bool manualnode)
int | nrLineNeighbors (int colnr) const
bool | retrackFromSeedList ()
bool | retrackOnActiveLine (int startcol, bool startwasdefined, bool eraseonly=false)
Protected Member Functions inherited from MPE::EMSeedPicker
| EMSeedPicker (EMTracker &)

## Protected Attributes
Pos::GeomID | geomid_
Protected Attributes inherited from MPE::EMSeedPicker
TrcKeyValue | addedseed_
bool | blockpicking_
bool | didchecksupport_
TypeSet< TrcKey > | eraselist_
TypeSet< TrcKey > | junctions_
TrcKeyValue | lastseed_
TrcKeyValue | lastsowseed_
Patch * | patch_
Undo & | patchundo_
TypeSet< TrcKey > | propagatelist_
EM::SectionID | sectionid_
TypeSet< TrcKey > | seedlist_
TrcKeySampling | seedpickarea_
Attrib::SelSpec | selspec_
bool | sowermode_
TypeSet< TrcKey > | trackbounds_
EMTracker & | tracker_
TrackMode | trackmode_

## Additional Inherited Members
Public Types inherited from MPE::EMSeedPicker
enum | TrackMode { TrackFromSeeds , TrackBetweenSeeds , DrawAndSnap , DrawBetweenSeeds }
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Public Attributes inherited from MPE::EMSeedPicker
Notifier< EMSeedPicker > | seedAdded
Notifier< EMSeedPicker > | seedRemoved
Notifier< EMSeedPicker > | seedToBeAddedRemoved

## Detailed Description

EMSeedPicker to pick seeds in EM::Horizon2D.

<>

## Constructor & Destructor Documentation

## ◆ Horizon2DSeedPicker()

MPE::Horizon2DSeedPicker::Horizon2DSeedPicker | ( | EMTracker & |  | ) |

## ◆ ~Horizon2DSeedPicker()

MPE::Horizon2DSeedPicker::~Horizon2DSeedPicker | ( |  | ) |

## Member Function Documentation

## ◆ addPatchSowingSeeds()

bool MPE::Horizon2DSeedPicker::addPatchSowingSeeds | ( |  | ) |
| protected

## ◆ addSeed() [1/2]

bool MPE::Horizon2DSeedPicker::addSeed | ( | const TrcKeyValue & | ,
|  | bool | drop )

## ◆ addSeed() [2/2]

bool MPE::Horizon2DSeedPicker::addSeed | ( | const TrcKeyValue & | seedcrd,
|  | bool | drop,
|  | const TrcKeyValue & | seedkey )
| override virtual

Reimplemented from MPE::EMSeedPicker.

## ◆ canAddSeed()

bool MPE::Horizon2DSeedPicker::canAddSeed | ( | const Attrib::SelSpec & |  | ) |

## ◆ doesModeUseVolume()

bool MPE::Horizon2DSeedPicker::doesModeUseVolume | ( |  | ) | const

## ◆ extendSeedListEraseInBetween()

void MPE::Horizon2DSeedPicker::extendSeedListEraseInBetween | ( | bool | wholeline,
|  | int | startcol,
|  | bool | startwasdefined,
|  | int | step )
| protected

## ◆ getNextSeedPos()

bool MPE::Horizon2DSeedPicker::getNextSeedPos | ( | int | seedpos,
|  | int | dirstep,
|  | int & | nextseedpos ) const
| protected

## ◆ getTrackBox()

TrcKeyZSampling MPE::Horizon2DSeedPicker::getTrackBox | ( |  | ) | const
| protected

## ◆ interpolateSeeds() [1/2]

mDeprecatedDef bool MPE::Horizon2DSeedPicker::interpolateSeeds | ( |  | ) |
| protected

## ◆ interpolateSeeds() [2/2]

bool MPE::Horizon2DSeedPicker::interpolateSeeds | ( | bool | manualnode | ) |
| protected

## ◆ nrLineNeighbors()

int MPE::Horizon2DSeedPicker::nrLineNeighbors | ( | int | colnr | ) | const
| protected

## ◆ removeSeed()

bool MPE::Horizon2DSeedPicker::removeSeed | ( | const TrcKey & | ,
|  | bool | environment,
|  | bool | retrack )
| override virtual

Reimplemented from MPE::EMSeedPicker.

## ◆ replaceSeed()

TrcKey MPE::Horizon2DSeedPicker::replaceSeed | ( | const TrcKey & | oldpos,
|  | const TrcKeyValue & | newpos )
| override virtual

Reimplemented from MPE::EMSeedPicker.

## ◆ reTrack()

bool MPE::Horizon2DSeedPicker::reTrack | ( |  | ) |
| override virtual

Reimplemented from MPE::EMSeedPicker.

## ◆ retrackFromSeedList()

bool MPE::Horizon2DSeedPicker::retrackFromSeedList | ( |  | ) |
| protected

## ◆ retrackOnActiveLine()

bool MPE::Horizon2DSeedPicker::retrackOnActiveLine | ( | int | startcol,
|  | bool | startwasdefined,
|  | bool | eraseonly = false )
| protected

## ◆ setLine()

void MPE::Horizon2DSeedPicker::setLine | ( | const Pos::GeomID & |  | ) |

## ◆ startSeedPick()

bool MPE::Horizon2DSeedPicker::startSeedPick | ( |  | ) |
| override virtual

Should be set when seedpicking is about to start.

Reimplemented from MPE::EMSeedPicker.

## ◆ updatePatchLine()

bool MPE::Horizon2DSeedPicker::updatePatchLine | ( | bool |  | ) |
| override virtual

Reimplemented from MPE::EMSeedPicker.

## Member Data Documentation

## ◆ geomid_

Pos::GeomID MPE::Horizon2DSeedPicker::geomid_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025